<section class="todoapp">
  
  <app-todo-list-header (add)="onAddTodo($event)"></app-todo-list-header>

  
  <app-todo-list [todos]="todos" (toggleComplete)="onToggleTodoComplete($event)"
                 (remove)="onRemoveTodo($event)"></app-todo-list>

  <app-todo-list-footer [todos]="todos"></app-todo-list-footer>

</section>